// module/health/components/field-ruler/field-ruler.ts
import { getFollowEvaluationListMethod } from "../../request";
Component({
  behaviors: ["wx://form-field-group"],
  lifetimes: {
    attached() {
      this.getFollowEvaluationList();
    },
  },
  properties: {},

  /**
   * 组件的初始数据
   */
  data: {
    loading: false,
    followEvaluationList: [
      {
        id: 1,
        time: "2025-05-19",
        name: "计划",
        status: "纳入健康管理",
        statusId: 1,
      },
      {
        id: 2,
        time: "2025-05-19",
        name: "计划",
        status: "纳入健康管理",
        statusId: 1,
      },
    ],
  },
  observers: {},
  methods: {
    async getFollowEvaluationList() {
      const res = await getFollowEvaluationListMethod();
      // console.log(res,"评估列表");
      if(res && res.data && res.data.length > 0){
        this.setData({
          followEvaluationList: res.data,
        });
      }else{
        this.setData({
          followEvaluationList: [],
        });
      }
    },
    goFollowEvaluation() {
      // wx.navigateTo({
      //   url: `/module/follow/pages/evaluation/report`,
      // });
    },
  },
});
